Parallels v7 and older will not run reliably with Mavericks. Only Parallels v9 is fully supported by Mavericks.

Parallels v8 will run fine with Mavericks, if fully patched to the latest version, however Parallels v8 will not be able to take advantage of the new integration features between Mavericks and Windows. Also, it is very likely that Parallels v8 fail to load with the error “Virtualization support has been disabled on your Mac” or “Unable to load the Parallels driver” after upgrading to Mavericks. Parallels has posted a fix for this, which requires reinstalling Parallels: http://kb.parallels.com/en/116259